<?php

namespace app\controller;

use support\Container;
use support\Log;
use support\Request;
use Wandoubaba\Res;

class IndexController
{
    public function index(Request $request)
    {
        $res = Container::make(Res::class);
        $res1 = \jsonrpc\Client::service('default', 'Demo')->hello('Json');
        $res2 = \jsonrpc\Client::service('user', 'User')->login('admin', '123456');
        $res3 = \jsonrpc\Client::service('default', 'Demo')->text();
        $res->setData([
            'res1' => $res1,
            'res2' => $res2,
            'res3' => $res3,
        ]);
        return json($res);
    }

    public function view(Request $request)
    {
        return view('index/view', ['name' => 'webman']);
    }

    public function json(Request $request)
    {
        return json(['code' => 0, 'msg' => 'ok']);
    }
}
