<?php

namespace app\controller;

use Wandoubaba\Res;
use support\Request;
use support\Container;
use support\Db;
use support\Log;

class TestController
{
    public function index(Request $request)
    {
        $res = Container::make(Res::class);
        Log::channel('default')->info(__CLASS__ . DIRECTORY_SEPARATOR . __FUNCTION__, $request->all());
        $requestLogs = Db::connection('mongolog')->collection('request')->get();
        $defaultLogs = Db::connection('mongolog')->collection('default')->get();
        $res->setData([
            'request' => $requestLogs,
            'default' => $defaultLogs,
        ]);
        return json($res);
    }

}
